Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update a tax group

Updates an existing tax group’s name, slug, description, and default status. If marked as default, removes default status from other tax groups.

PATCH/api/v1/{team_slug}/{app_slug}/tax-groups/{tax_group_slug}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
tax_group_slugstringrequired

Tax group slug

app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Tax group data

descriptionstring
is_defaultboolean

If this tax group is the default tax group. If a product is created without a tax group will this tax group be selected

namestringrequired
slugstringrequired
Responses
200

Tax group updated successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGrouprequired
Show properties
created_atstring
descriptionstring | null
idstring
is_defaultboolean
marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGroupMarket[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGroupMarket
activeboolean
country_codesstring[] | null
country_tax_percentagesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGroupCountryTaxPercentage[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.TaxGroupCountryTaxPercentage
country_codestring
created_atstring
idstring
tax_percentagenumber
updated_atstring | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
namestring
slugstring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v1/string/string/tax-groups/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "description": "string",
  "is_default": true,
  "name": "string",
  "slug": "string"
}'
Response
{
  "data": {
    "created_at": "string",
    "description": "string",
    "id": "string",
    "is_default": true,
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "country_tax_percentages": [
          {
            "country_code": "string",
            "created_at": "string",
            "id": "string",
            "tax_percentage": 0,
            "updated_at": "string"
          }
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}